package com.iconplus.smartproc.model.response;

import com.iconplus.smartproc.helper.base.BaseResponse;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Date;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DrpApprovalResponse extends BaseResponse {

    private Long id;
    private Long drpId;
    private Integer tahun;
    private String approveStatus;
    private Date approverVpDate;
    private Date approverKomiteDate;
    private Date approverDirekturDate;

    private DrpPengadaanResponse dataPengadaan;
    private List<DrpPengadaanDokumenResponse> dataPengadaanDokumen;
    private List<DrpRekomendasiResponse> dataRekomendasi;

}
