package com.iconplus.smartproc.model.response;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.iconplus.smartproc.helper.base.BaseResponse;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Transient;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ParentMenusResponse extends BaseResponse {

    @JsonIgnore
    private Long id;

    private String text;
    private String icon;
    private String path;
    private List<MenusResponse> items;
}
