package com.iconplus.smartproc.model.request;

import com.iconplus.smartproc.helper.base.BaseRequest;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.domain.Pageable;

import java.sql.Date;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DrpRekomendasiRequest extends BaseRequest {

    private Long id;
    private Long drpApprovalId;
    private Long userId;
    private Long drpId;
    private Long jenisPengadaanId;
    private String rekomendasi;
    private Date rekomendasiDate;
    private transient Pageable pageable;



}
